Update Stream

Update Stream by ID.

This endpoints allows for configuring the stream and therefore restricting, what products will be included in the stream.

Since the combination "field/type/operator" (see the "query" part in the body description) is relying on logic based on the selected fields, like what operators can be applied to what field types, we recommend using the GUI to configure your stream and refer to https://www.makaira.io/docs/configuration/productStreams.html for further documentation on what operators are available for each field type.

Updates an existing stream's title or boost factor.

Requires authentication.

Request

PUT /stream/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe ID of the stream to update.

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
titlestringNoUpdated display title.
boostFactornumberNoUpdated boost factor. Range: -99 to 99.

Example Request

{
  "title": "Best Sellers",
  "boostFactor": 75
}

Response

Returns the updated stream object.

Example Response

{
  "id": 3,
  "title": "Best Sellers",
  "boostFactor": 75
}
Path Params
string
required
Body Params
string

The title is purely for communcation purposes. Choose a name here that will make it easy for you to recognize the stream again later.

number

The boost to apply to the stream. This can be a positive and negative value between -99 and 99. If the value is set to 0, no boosting will be applied to the stream.

query
object

The query describes what products will be available in the final output of the stream.

Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!